> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clipvision.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Email API Endpoint

> This API endpoint allows a user to update their email address.



## OpenAPI

````yaml put /api/user/update-email/
openapi: 3.0.1
info:
  title: ClipVision API
  description: ClipVision AI API
  termsOfService: https://www.clipvision.ai/terms/
  contact:
    email: help@clipvision.ai
  license:
    name: ClipVision License
  version: v1
servers:
  - url: https://backend.clipvision.ai/
security:
  - Basic: []
  - api_key: []
paths:
  /api/user/update-email/:
    put:
      tags:
        - api
      summary: Update User Email API Endpoint
      description: This API endpoint allows a user to update their email address.
      operationId: update_user_email
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateUserEmail'
        required: true
      responses:
        '200':
          description: Successfully updated email
          content:
            application/json:
              schema:
                title: Email update
                type: object
                properties:
                  new_secret_key:
                    title: New Secret Key
                    type: string
              example:
                new_secret_key: test_secret_key
        '400':
          description: Failed to update email or validation errors
          content: {}
        '500':
          description: Failed to update email
          content:
            application/json:
              schema:
                title: Internal Server Error
                type: object
                properties:
                  success:
                    type: boolean
                    default: false
                  error:
                    type: string
                    default: Internal Server Error
                description: Internal Server Error OpenAPI Schema
              example:
                success: false
                error: Internal Server Error
components:
  schemas:
    UpdateUserEmail:
      required:
        - email_address
        - new_email_address
        - secret_key
      type: object
      properties:
        email_address:
          title: Email address
          minLength: 1
          type: string
          format: email
        secret_key:
          title: Secret key
          minLength: 1
          type: string
        new_email_address:
          title: New email address
          minLength: 1
          type: string
          format: email
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    api_key:
      type: apiKey
      name: User-JWT
      in: header

````